{% extends "admin/delete_selected_confirmation.html" %}
{% load i18n l10n admin_urls static %}

{% block content %}
{% if perms_lacking %}
    <p>{% blocktranslate %}Deleting the selected {{ objects_name }} would result in deleting related objects, but your account doesn't have permission to delete the following types of objects:{% endblocktranslate %}</p>
    <div style="max-height: 500px; overflow-x: scroll;">
      <ul>
      {% for obj in perms_lacking %}
          <li>{{ obj }}</li>
      {% endfor %}
      </ul>
    <div style="max-height: 500px; overflow-x: scroll;">
{% elif protected %}
    <p>{% blocktranslate %}Deleting the selected {{ objects_name }} would require deleting the following protected related objects:{% endblocktranslate %}</p>
    <div style="max-height: 500px; overflow-x: scroll;">
      <ul>
      {% for obj in protected %}
          <li>{{ obj }}</li>
      {% endfor %}
        </ul>
      </div>
{% else %}
    <p>{% blocktranslate %}Are you sure you want to delete the selected {{ objects_name }}? All of the following objects and their related items will be deleted:{% endblocktranslate %}</p>
    {% include "admin/includes/object_delete_summary.html" %}
    <h2>{% translate "Objects" %}</h2>
      <div style="max-height: 500px; overflow-x: scroll;">
      {% for deletable_object in deletable_objects %}
          <ul>{{ deletable_object|unordered_list }}</ul>
      {% endfor %}
      </div>
    <form method="post">{% csrf_token %}
    <div>
    {% for obj in queryset %}
    <input type="hidden" name="{{ action_checkbox_name }}" value="{{ obj.pk|unlocalize }}">
    {% endfor %}
    <input type="hidden" name="action" value="delete_selected">
    <input type="hidden" name="post" value="yes">
    <input type="submit" value="{% translate 'Yes, I’m sure' %}">
    <a href="#" class="button cancel-link">{% translate "No, take me back" %}</a>
    </div>
    </form>
{% endif %}
{% endblock %}
